Resolve import errors

Base URL
https://{kibana_url}
  • POST /api/saved_objects/_resolve_import_errors
  • POST /s/{space_id}/api/saved_objects/_resolve_import_errors
Auth

To resolve errors from the Import objects API, you can:

  • Retry certain saved objects
  • Overwrite specific saved objects
  • Change references to different saved objects

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

compatibilityMode boolean

Applies various adjustments to the saved objects that are being imported to maintain compatibility between different Kibana versions. When enabled during the initial import, also enable when resolving import errors. This option cannot be used with the createNewCopies option.

createNewCopies boolean

Creates copies of the saved objects, regenerates each object ID, and resets the origin. When enabled during the initial import, also enable when resolving import errors.

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Request body

file string · format: binary

The same file given to the import API.

retries object[] required

The retry operations, which can specify how to resolve different types of errors.

destinationId string

Specifies the destination ID that the imported object should have, if different from the current ID.

id string required

The saved object ID.

ignoreMissingReferences boolean

When set to true, ignores missing reference errors. When set to false, does nothing.

overwrite boolean

When set to true, the source object overwrites the conflicting destination object. When set to false, does nothing.

replaceReferences object[]

A list of type, from, and to used to change the object references.

from string
to string
type string
type string required

The saved object type.

Responses

Indicates a successful call.

application/json
errors object[]

Specifies the objects that failed to resolve.

Note

One object can result in multiple errors, which requires separate steps to resolve. For instance, a missing_references error and a conflict error.

success boolean

Indicates a successful import. When set to false, some objects may not have been created. For additional information, refer to the errors and successResults properties.

successCount number

Indicates the number of successfully resolved records.

successResults object[]

Indicates the objects that are successfully imported, with any metadata if applicable.

Note

Objects are only created when all resolvable errors are addressed, including conflict and missing references.

Bad request.

application/json
error enum required
Values: Bad Request
message string required
statusCode enum required
Values: 400
Base URL
https://{kibana_url}